<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>SOC_Cfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SOC_Cfg_t Struct Reference<div class="ingroups"><a class="el" href="group___s_o_c___d_r_i_v_e_r.html">SOC Driver</a> &raquo; <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">SOC Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>SOC Configuration.  
 <a href="struct_s_o_c___cfg__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/soc/soc.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:adb3612193319ed1035d0a283e96b074f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb3612193319ed1035d0a283e96b074f"></a>
<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae8b88ecfe881d705629edfa9452fb7bf">SOC_SysClock</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___cfg__t.html#adb3612193319ed1035d0a283e96b074f">clockCfg</a></td></tr>
<tr class="memdesc:adb3612193319ed1035d0a283e96b074f"><td class="mdescLeft">&#160;</td><td class="mdescRight">System clock configuration. <br /></td></tr>
<tr class="separator:adb3612193319ed1035d0a283e96b074f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>SOC Configuration. </p>
<p>The structure describes the configuration information which is needed to open and initialize the SOC Driver. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/soc/<a class="el" href="soc_8h.html">soc.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
